---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: devauthz
  namespace: ory
  #annotations:
  #kubernetes.io/ingress.class: nginx
spec:
  rules:
    - host: login.example.com
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: devauthz
                port:
                  number: 3000

---
apiVersion: v1
kind: Service
metadata:
  name: devauthz
  namespace: ory
  labels:
    app: devauthz
spec:
  type: NodePort
  selector:
    app: devauthz
  ports:
    - port: 3000
      targetPort: 3000

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: devauthz
  namespace: ory
  labels:
    app: devauthz
spec:
  replicas: 1
  selector:
    matchLabels:
      app: devauthz
  template:
    metadata:
      labels:
        app: devauthz
    spec:
      containers:
        - name: devauthz
          image: node:20-alpine
          imagePullPolicy: Always
          workingDir: /usr/src/app
          env:
            - name: NODE_ENV
              value: development
            - name: DEPLOY_ENV
              value: kubernetesHosted
            - name: NEXT_PUBLIC_DEGO_URL
              value: http://map.example.com
            - name: NEXT_PUBLIC_DOOK_URL
              value: http://map.example.com
          command:
            - '/bin/sh'
            - '-c'
          args:
            - 'yarn install && yarn dev'
          ports:
            - containerPort: 3000
          volumeMounts:
            - mountPath: /usr/src/app
              name: authz-map-local
          readinessProbe:
            httpGet:
              path: /
              port: 3000
          livenessProbe:
            httpGet:
              path: /
              port: 3000
      volumes:
        - name: authz-map-local
          hostPath:
            path: /home/stephan/work/auth-service
            type: Directory
